# Class PRS_ProductParentChild
extends CIM_Dependency

Products may exist in a hierarchy of relationships with related Products. If a Producer deems these hierarchy relationships are relevant to the current Problem or Resolution, then the position of the Product in a hierarchy can be implied using one of two types of relationships: 'is a' and 'has a'. An 'is a' relationship implies a classification, such as versioning or typing. A 'has a' relationship implies that one product contains another. The PRS_ProductParentChild association is used to imply an 'is a' hierarchy. Use the ProductComponent association to imply 'has a' relationships.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--PRS_ProductParentChild

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true

Description

string

Products may exist in a hierarchy of relationships with related Products. If a Producer deems these hierarchy relationships are relevant to the current Problem or Resolution, then the position of the Product in a hierarchy can be implied using one of two types of relationships: 'is a' and 'has a'. An 'is a' relationship implies a classification, such as versioning or typing. A 'has a' relationship implies that one product contains another. The PRS_ProductParentChild association is used to imply an 'is a' hierarchy. Use the ProductComponent association to imply 'has a' relationships.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | PRS_ProductParentChild | PRS_Product
Dependent | PRS_ProductParentChild | PRS_Product

## Class Methods